Bug 1108742 - Allow specifying of a global --password option in packstack to set all keys/secrets/passwords to that value
Summary: Allow specifying of a global --password option in packstack to set all keys/s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Javier Peña
QA Contact: yeylon@redhat.com
Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 13:56 UTC by Perry Myers
Modified: 2016-04-18 06:47 UTC (History)
7 users (show)

Fixed In Version: openstack-packstack-2014.2-0.17.dev1462.gbb05296.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-30 23:06:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 122164 None None None Never

Description Perry Myers 2014-06-12 13:56:53 UTC
Description of problem:
From a test/debug perspective, it would be nice if it was easy to set a global password for all services, databases, keys, etc.

This is something you can do manually for each specific password, but that is cumbersome on the command line.

So in short, a --password option that is used to fan out to all other relevant parameters would be good.

If this is impossible, a helper script could be used.  One that calls packstack under the covers with all of the appropriate individual password cli arguments.

Comment 1 Javier Peña 2014-09-17 14:34:10 UTC
Patch proposed for review -> https://review.openstack.org/122164

Comment 2 Ivan Chavero 2014-09-23 06:28:07 UTC
Just as an observation: it might just me being paranoid but it might be dangerous to have the same password for the mysql root user and passwords that are pottentialy to be given to other users. I know packstack is PoC tool but that shouldn't stop us for thinking about basic security if we can.


Note You need to log in before you can comment on or make changes to this bug.